# DMMGSetUp

Prepares the DMMG to solve a system

### Synopsis

    #include "petscda.h"
    #include "petscksp.h"
    #include "petscmg.h"
    PetscErrorCode DMMGSetUp(DMMG *dmmg)

Collective on DMMG

### Input Parameter

dmmg -the context

### See Also

DMMGCreate(), DMMGDestroy(), DMMG, DMMGSetSNES(), DMMGSetKSP(), DMMGSolve()

Level:advanced
Location:src/ksp/utils/damg.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages